Subject: Re: [PATCH 2/3] brcmfmac: dhd_sdio.c: use existing atomic_or primitive

From: Arend van Spriel <[email-masked]>
Date: Fri, 10 Jul 2015 11:05:02 +0200

On 07/10/2015 06:49 AM, Vineet Gupta wrote:
> On Thursday 09 July 2015 11:55 PM, Arend van Spriel wrote:
>> On 07/09/2015 10:13 AM, Vineet Gupta wrote:
>>>> There's already a generic implementation so use that instead.
>> There is or there was? If there is now I am fine with this patch, but if
>> it already was there the author might have had a reason for adding a
>> local function and I would like to hear that reason.
>>
>
> atomic_orr() was introduced to this driver with
>
> 2014-03-06 5cbb9c285bdc brcmfmac: Use atomic functions for intstatus update.
>
> as it seems atomic_set_mask() was not available cross arch. And atomic_or() in
> generic code was indeed introduced after that
>
> 2014-04-23 560cb12a4080 locking,arch: Rewrite generic atomic support
>
> Hence likely the reason author went with home grown atomic_orr()

Hi Vineet

Thanks for looking into the timeline. Will look into it and let you know.

Regards,
Arend

> -Vineet